## hyphen-show 20000425

=== debian/changelog ===
hyphen-show (20000425-5) unstable; urgency=medium

  * Rely on /usr/share/dpkg/buildtools.mk to define CC. Fixes cross
    compilation by not hardcoding gcc. Thanks to Helmut Grohne for
    reporting this and suggesting a fix. Closes: #1086545
  * Upgrade to Standards-Version 4.7.0 (no changes)
  * Add git-buildpackage config (i.e. switch to package maintenance using git)
  * Publish on salsa

 -- Martin Buck <mbuck@debian.org>  Mon, 06 Jan 2025 00:13:04 +0100

hyphen-show (20000425-4) unstable; urgency=medium

  * Switched to debhelper compatibility level 13. Closes: #965587
  * Upgraded to Standards-Version 4.5.1.0 (no changes)

 -- Martin Buck <mbuck@debian.org>  Fri, 08 Jan 2021 00:27:38 +0100

hyphen-show (20000425-3) unstable; urgency=medium

  * Fixed NULL pointer dereference on corrupt DVI input files.
    Closes: #716017
  * Switched to debhelper compatibility level 8
  * Switched to dpkg-source 3.0 (quilt) format
  * Use dpkg-buildflags
  * Upgraded to Standards-Version 3.9.5.0:
    - Implemented build-arch/build-indep targets
  * Fixed manpage warning

 -- Martin Buck <mbuck@debian.org>  Thu, 11 Sep 2014 01:25:26 +0200

hyphen-show (20000425-2) unstable; urgency=low

  * Acknowledge previous NMU. Closes: #168391, #124744
  * gcc 3 compatibility fixes, using Gentoo's hyphen_show-gcc34.patch
  * Fixed a few warnings
  * Upgraded to Standards-Version 3.7.2.2:
    - Support DEB_BUILD_OPTIONS
  * Switched to debhelper compatibility level 5
  * Fixed manpage to use the right section

 -- Martin Buck <mbuck@debian.org>  Thu, 15 Mar 2007 00:38:58 +0100

hyphen-show (20000425-1.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends on debhelper.  Closes: #168391.
  * Fix spelling error in package description.  Closes: #124744.

 -- Daniel Schepler <schepler@debian.org>  Fri,  1 Aug 2003 23:18:33 -0700

hyphen-show (20000425-1) unstable; urgency=low

  * New upstream release

 -- Martin Buck <mbuck@debian.org>  Sun,  6 Aug 2000 01:43:22 +0200

hyphen-show (20000420-1) unstable; urgency=low

  * New upstream release

 -- Martin Buck <mbuck@debian.org>  Mon, 24 Apr 2000 16:51:27 +0200

hyphen-show (0.1-3) unstable; urgency=low

  * Fixed segfault that occured when hyphen_show could not open the .hyp file
    for writing. closes: #60972

 -- Martin Buck <mbuck@debian.org>  Sun, 16 Apr 2000 14:10:52 +0200

hyphen-show (0.1-2) unstable; urgency=low

  * Switched to debhelper
  * Upgraded to Debian Policy 3.0.1.1

 -- Martin Buck <mbuck@debian.org>  Mon, 13 Sep 1999 23:42:08 +0200

hyphen-show (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Martin Buck <mbuck@debian.org>  Sun,  7 Sep 1997 19:20:36 +0200
