=== debian/control ===
Source: hyphen-show
Section: tex
Priority: optional
Maintainer: Martin Buck <mbuck@debian.org>
Build-Depends: debhelper (>= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/mbuck/hyphen-show
Vcs-Git: https://salsa.debian.org/mbuck/hyphen-show.git

Package: hyphen-show
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Show hyphenations in DVI-files
 hyphen_show scans a DVI-file, tries to find all hyphenations and writes them
 to stdout. It is useful to check whether TeX's hyphenation algorithm really
 did the good job it is supposed to do.
