=== debian/rules ===
#!/usr/bin/make -f

# -Wno-*: Disable warnings from gcc (tested with 12.2.0) for code which is
# ugly but correct (reported issues are not actually problems when taking
# the surrounding code with additional checking into account as well)
DEB_CFLAGS_MAINT_APPEND = -Wall -Wno-unused-result -Wno-stringop-truncation

include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/buildflags.mk


.PHONY: build
build: build-arch build-indep

.PHONY: build-arch
build-arch: build-stamp

.PHONY: build-indep
build-indep: build-stamp

build-stamp:
	dh_testdir

	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o hyphen_show hyphen_show.c

	touch build-stamp

.PHONY: clean
clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp install-stamp
	-rm -f hyphen_show hyphen_show.o README
	dh_clean

.PHONY: install
install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin
	dh_install hyphen_show usr/bin
	cp README.hyphen_show README
	touch install-stamp
	
.PHONY: binary-indep
binary-indep: build install

.PHONY: binary-arch
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installman hyphen_show.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: binary
binary: binary-indep binary-arch
